API referenceInterfaces
RestGetOptions
Generated API reference for RestGetOptions in @kysoql/rest.
@kysoql/rest / RestGetOptions
Options for one authenticated Salesforce REST GET request.
Extends
Properties
| Property | Modifier | Type | Description | Inherited from |
|---|---|---|---|---|
batchSize? | readonly | number | Requested Salesforce query batch size (200-2000). | - |
signal? | readonly | AbortSignal | Combines with the client's signal; cancelling one operation does not cancel others. | RestRequestOptions.signal |
timeoutMs? | readonly | number | Per HTTP request, including token acquisition and response body. Default: 30 seconds. | RestRequestOptions.timeoutMs |